Skip to main content
GET
List Gates

Authorizations

STATSIG-API-KEY
string
header
required

Headers

x-respect-review-settings
string

Optional header to respect review settings for mutation endpoints.

Query Parameters

idType

Filter by idType

type
enum<string>

Filter by type

Available options:
TEMPORARY,
PERMANENT,
STALE,
TEMPLATE
typeReason
enum<string>

Filter by typeReason

Available options:
NONE,
STALE_PROBABLY_LAUNCHED,
STALE_PROBABLY_UNLAUNCHED,
STALE_PROBABLY_FORGOTTEN,
STALE_NO_RULES,
STALE_PROBABLY_DEAD_CHECK,
STALE_EMPTY_CHECKS,
STALE_ALL_TRUE,
STALE_ALL_FALSE
passRate

Filter by pass rate of the gates, as determined by a sampling of overall true/false values returned: 0, 100, or INBETWEEN (pass rate greater than zero but less than 100)

Available options:
0,
100,
INBETWEEN
rolloutRate

Filter by rollout rate of the gates: 0 (all rules are set to pass 0%), 100 (all rules pass 100% including an "everyone" catch all rule), or INBETWEEN (at least one rule has a pass rate greater than 0 but less than 100)

Available options:
0,
100,
INBETWEEN
creatorName
string | null

Name of the creator.

creatorID
string | null

ID of the user who created the entity.

tags

Filter by tags

limit
integer

Results per page

Example:

10

page
integer

Page number

Example:

1

Response

List gates success

message
string
required

A simple string explaining the result of the operation.

data
object[]
required

Array of results returned by pagination limit.

pagination
object
required

Pagination metadata for checking if there is next page for example.